#include <stdint.h>
#include <erl_driver.h>
#include <erl_nif.h>

static ERL_NIF_TERM
int64_from_nif(ErlNifEnv *env, int argc, const ERL_NIF_TERM argv[])
{
    return enif_make_int64(env, INT64_MIN);
}

static ErlNifFunc nif_funcs[] =
{
    { "int64_from_nif",        0, int64_from_nif }
};

ERL_NIF_INIT(int64nif, nif_funcs, NULL, NULL,  NULL, NULL)
